Name: x11-driver-video-vmware
Version: 13.2.1
Release: %mkrel 4
Summary: X.org driver for VMWare(tm)
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vmware-%{version}.tar.bz2
License: MIT

# (tv) it doesn't build on armv5 and there's no VMWare for it anyway:
ExcludeArch: armv5tl

 
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.19.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(xatracker)
BuildRequires: libdrm-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-vmware is the X.org driver for VMWare(tm).

%prep
%setup -q -n xf86-video-vmware-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/vmware_drv.la
%{_libdir}/xorg/modules/drivers/vmware_drv.so
%{_mandir}/man4/vmware.*




%changelog
* Fri May 12 2017 tv <tv> 13.2.1-4.mga6
+ Revision: 1100640
- exclude armv5

* Sun Nov 20 2016 tv <tv> 13.2.1-3.mga6
+ Revision: 1068492
- BR pkgconfig(udev)
- droped merged patch
- new release

* Thu Nov 17 2016 tv <tv> 13.1.0-7.mga6
+ Revision: 1067650
- add patch for xserver 1.19
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 13.1.0-6.mga6
+ Revision: 1043301
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 13.1.0-5.mga6
+ Revision: 963447
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 13.1.0-4.mga6
+ Revision: 902276
- submit to core/release

* Tue Nov 10 2015 tv <tv> 13.1.0-3.mga6
+ Revision: 901415
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 13.1.0-2.mga6
+ Revision: 835919
- rebuild for xserver 1.17

* Fri Jan 23 2015 tv <tv> 13.1.0-1.mga5
+ Revision: 812028
- new release
- drop merged patches

* Thu Oct 16 2014 luigiwalser <luigiwalser> 13.0.2-8.mga5
+ Revision: 763608
- add patch to fix build with glibc 2.20

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Jun 14 2014 tv <tv> 13.0.2-6.mga5
+ Revision: 636091
- add server managed fd support (from FC)

* Mon Jun 09 2014 tv <tv> 13.0.2-5.mga5
+ Revision: 634998
- submit to core/release

* Mon Jun 09 2014 tv <tv> 13.0.2-4.mga5.tainted
+ Revision: 634938
- rebuild for xorg-1.16

* Sun Jun 08 2014 tv <tv> 13.0.2-3.mga5
+ Revision: 634696
- BR xatracker
- rebuild for new xserver RC
- rebuild for new xserver
- new release

* Tue Feb 04 2014 tv <tv> 13.0.1-5.mga5
+ Revision: 582244
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 13.0.1-4.mga4
+ Revision: 525391
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 13.0.1-3.mga4
+ Revision: 433128
- submit to core/release

* Fri May 24 2013 tv <tv> 13.0.1-2.mga4
+ Revision: 425656
- rebuild with xserver-1.14

* Thu May 23 2013 tv <tv> 13.0.1-1.mga4
+ Revision: 424862
- new release

* Wed Jan 16 2013 tmb <tmb> 13.0.0-1.mga3
+ Revision: 388796
- 13.0.0 (official xorg 1.13 support)

* Mon Jan 14 2013 umeabot <umeabot> 12.0.2-5.mga3
+ Revision: 386039
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 tv <tv> 12.0.2-4.mga3
+ Revision: 293593
- actually apply patch
- backport git changes (support for newer x11-server)
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 12.0.2-3.mga3
+ Revision: 256512
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 12.0.2-2.mga3
+ Revision: 252972
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 12.0.2-1.mga3
+ Revision: 249792
- new release

* Fri Mar 09 2012 tv <tv> 12.0.0-1.mga2
+ Revision: 222199
- adjust file list
- new release

* Tue Jan 17 2012 tv <tv> 11.1.0-1.mga2
+ Revision: 197666
- new release

* Tue Dec 06 2011 tmb <tmb> 11.0.3-6.mga2
+ Revision: 177493
- submit to core/release

* Sat Oct 08 2011 tv <tv> 11.0.3-5.mga2
+ Revision: 153308
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 11.0.3-4.mga2
+ Revision: 153092
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 11.0.3-3.mga1
+ Revision: 64424
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 11.0.3-2.mga1
+ Revision: 50344
- imported package x11-driver-video-vmware

